#ifndef XEX_MODE_H_INCLUDED
#define XEX_MODE_H_INCLUDED

#include "types.h"

// XEX counter mode
// data = 64 bit u32[2]
// key = 256 bit u32[8]
// cntr = 64 bit u32[2]


void XEX_Encrypt(u32 *data, u32 const* key, u32 const* cntr);
void XEX_Decrypt(u32 *data, u32 const* key, u32 const* cntr);

void XEX_Encrypt_Block(u32 *data, u32 *cntr,  u32 const *key, u32 length_x32);
void XEX_Decrypt_Block(u32 *data, u32 *cntr,  u32 const *key, u32 length_x32);


#endif

